## Index

### Classes

- SlideXImpl

### Interfaces

- OwnProps

### Type aliases

- Props

### Variables

- SlideX

### Object literals

- styles

## Type aliases

### Props

Props: OwnProps & WithSheet<IgnoreJSSNested<object>, __type>

- Defined in components/SlideX/index.tsx:28

## Variables

### Const SlideX

SlideX: ComponentClass<object & StyledComponentProps<"stepAnimationContainer" | "stepAnimation">, any> | StatelessComponent<object & StyledComponentProps<"stepAnimationContainer" | "stepAnimation">> = injectSheet(styles as IgnoreJSSNested<typeof styles>)(SlideXImpl)

- Defined in components/SlideX/index.tsx:49

## Object literals

### Const styles

styles: object

- Defined in components/SlideX/index.tsx:9

### stepAnimation

stepAnimation: object

- Defined in components/SlideX/index.tsx:14

### alignItems

alignItems: string = "flex-end"

- Defined in components/SlideX/index.tsx:17

### display

display: string = "flex"

- Defined in components/SlideX/index.tsx:16

### justifyContent

justifyContent: string = "flex-start"

- Defined in components/SlideX/index.tsx:18

### transform

transform: any = (({ step }: OwnProps) => step ? `translateX(-${step * 100}%)` : 'translateX(0)') as any

- Defined in components/SlideX/index.tsx:20

### transition

transition: string = "transform .6s"

- Defined in components/SlideX/index.tsx:15

### width

width: string = "100%"

- Defined in components/SlideX/index.tsx:19

### & > *

& > *: object

- Defined in components/SlideX/index.tsx:22

### minWidth

minWidth: string = "100%"

- Defined in components/SlideX/index.tsx:23

### stepAnimationContainer

stepAnimationContainer: object

- Defined in components/SlideX/index.tsx:10

### overflowX

overflowX: string = "hidden"

- Defined in components/SlideX/index.tsx:11

### width

width: string = "100%"

- Defined in components/SlideX/index.tsx:12

Generated using TypeDoc